<div class="row">
  <div class="col-12 d-flex justify-content-between align-items-center">
    <div class="title-warpper">
      <div class="row" (click)="back()" style="cursor: pointer;">
        <span class="col-1">
        <img src="assets/img/chevron-left.svg"  (click)="back()" class="back-btn">
        </span>
        <span class="col-9 head-title">เพิ่มสิทธิ์การใช้งานในระบบ</span>
      </div>
      <span class="sub-title">สามารถกำหนดสิทธิ์ของผู้ใช้งานที่ต้องการเพื่อจะสามารถเข้าใช้งานในระบบได้</span>
    </div>
  </div>
</div>
<div class="row mt-5">
  <div class="col-12">
    <div class="card-warpper">
     <div class="title-card">
      ค้นหาเพื่อเพิ่มสิทธิ์การใช้งาน
     </div>
     <div class="container-fulid input-form-card">
       <div class="row mt-4">
         <div class="col col-md-4">
          <div class="form-group">
            <label for="division">สายงาน</label>
            <select class="browser-default custom-select"
              [(ngModel)]="department" (ngModelChange)="filterSaechWorkgroup(department)">
              <option value="" selected disabled>กรุณาเลือกสายงาน</option>
              <!-- <option value="" selected ></option> -->
              <option *ngFor="let item of divisionList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select>
            <!-- <input type="text" class="form-control" id="division" aria-describedby="emailHelp"> -->
            <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
          </div>
         </div>
         <div class="col col-md-4">
          <div class="form-group">
            <label for="workgroup">กลุ่มงาน</label>
            <select class="browser-default custom-select"
            [(ngModel)]="workgroup" (ngModelChange)="filterSaechDepartment(workgroup)">
              <option value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
              <!-- <option value="" selected ></option> -->
              <option *ngFor="let item of workgroupList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select>
            <!-- <input type="text" class="form-control" id="workgroup" aria-describedby="emailHelp"> -->
            <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
          </div>
         </div>
         <div class="col col-md-4">
          <div class="form-group">
            <label for="department">ฝ่ายงาน</label>
            <select class="browser-default custom-select"
            [(ngModel)]="division">
              <option value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
              <!-- <option value="" selected ></option> -->
              <option *ngFor="let item of departmentList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select>
            <!-- <input type="text" class="form-control" id="department" aria-describedby="emailHelp"> -->
            <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
          </div>
         </div>
         <div class="col col-md-4">
          <div class="form-group">
            <label for="name">ชื่อ-นามสกุล</label>
            <input type="text" class="form-control" id="name" aria-describedby="emailHelp" placeholder="กรอกชื่อ-นามสกุล" [(ngModel)]="name">
            <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
          </div>
         </div>
         <div class="col col-md-4">
          <div class="form-group">
            <label for="employeeId">รหัสพนักงาน</label>
            <input type="text" class="form-control" id="employeeId" aria-describedby="emailHelp" placeholder="กรอกรหัสพนักงาน" [(ngModel)]="empoyeeid">
            <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
          </div>
         </div>
         <div class="col col-md-4 d-flex align-items-end mb-3">
           <button mat-flat-button class="search-btn" (click)="searchResult()">ค้นหา</button>
         </div>
       </div>
     </div>
    </div>
  </div>
</div> <br><br><br>
<div class="row mt-5"  [ngStyle]="{display:search_data ==false? 'none': ''}">
  <div class="col-12">
    <span class="title">ผลการค้นหา</span>
  </div>
  <div class="col-12">
    <hr>
  </div>
  <div class="col-12">
    <div class="table-responsives" >
      <table mat-table [dataSource]="dataSourceSearch" class="mat-elevation-z8 mt-3 table-search">

      <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->
    
      
      <!-- select Column -->
      <ng-container matColumnDef="select">
        <th mat-header-cell *matHeaderCellDef style="width: 60px;">
          <mat-checkbox
                    style="vertical-align: -webkit-baseline-middle;"
                    (change)="$event ? masterToggle() : null"
                    [checked]="selection.hasValue() && isAllSelected()"
                    [indeterminate]="selection.hasValue() && !isAllSelected()"
                    [aria-label]="checkboxLabel()">
          </mat-checkbox>
 
        </th>
        <td mat-cell *matCellDef="let row" style="width: 60px;">
          <mat-checkbox
                    style="vertical-align: -webkit-baseline-middle;"
                    (click)="$event.stopPropagation()"
                    (change)="$event ? selection.toggle(row) : null"
                    [checked]="selection.isSelected(row)"
                    [aria-label]="checkboxLabel(row)">
          </mat-checkbox>
        </td>
      </ng-container>

      <!-- Empoyeeid Column -->
      <ng-container matColumnDef="empoyeeid">
        <th mat-header-cell *matHeaderCellDef>รหัสพนักงาน</th>
        <td mat-cell *matCellDef="let element"> {{element.empeId}} </td>
      </ng-container>
    
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>ชื่อ - นามสกุล</th>
        <td mat-cell *matCellDef="let element">{{element.titleNameTh}} {{element.empeNameTh}} {{element.empeLastNameTh}}</td>
      </ng-container>
    
      <!-- Position Column -->
      <ng-container matColumnDef="position">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element"> {{element.empePosition}} </td>
      </ng-container>
    
      <!-- Department Column -->
      <ng-container matColumnDef="department">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element"> {{element.empeDeptCode.ouName}} </td>
      </ng-container>

      <!-- Workgroup Column -->
      <ng-container matColumnDef="workgroup">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element"> {{element.empeDeptCode.groupOUCode}} </td>
      </ng-container>

      <!-- Division Column -->
      <ng-container matColumnDef="division">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element"> {{element.empeDeptCode.sctrOUCode}} </td>
      </ng-container>
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    </div>
    <br><br>
  </div>

</div>

<div class="row box-submit" [ngStyle]="{display:search_data ==false? 'none': ''}">
  <div class="col-6">
    <button mat-flat-button class="btn-cancel" (click)="cancel()">ยกเลิก</button>
  </div>
  <div class="col-3" style="text-align: right;">
    <span class="text-select-total ">กำลังเลือกทั้งหมด {{selection.selected.length}} รายการ</span>
  </div>
  <div class="col-3" style="text-align: right;">
    <!-- <button id="modal-add-permission"
            class="btn btn-add-permission" 
            data-toggle="modal"
            data-target="#information-modal"
            (click)="managePermission()"
            [disabled]="selection.selected.length === 0">             
          เพิ่มสิทธิ์การใช้งาน
    </button> -->
    <button class="btn btn-add-permission" 
            (click)="openConfirmDialog()"
            [disabled]="selection.selected.length === 0">             
          เพิ่มสิทธิ์การใช้งาน
    </button>
  </div>
</div>

<!--------------------------------------- modal  --------------------------------------------------------->

<!-- <div
      class="modal fade"
      id="information-modal"
      tabindex="-1"
      role="dialog"
      aria-labelledby="information-modal"
      aria-hidden="true"
      >
  <div class="modal-dialog modal-dialog-centered modal-width" role="document">
    <div class="modal-content">
      <div class="row">
        <div class="col-10">
          <span class="title-modal">ยืนยันเพิ่มสิทธิ์การใช้งาน</span>
          <span class="title-modal2"> ({{loopUserCount + 1}}/{{selection.selected.length}} รายการ)</span>
        </div>

        <div class="col-2" style="text-align: right;">
          <img src="assets/img/x.png" class="close-btn"  data-dismiss="modal">
        </div>
      </div>

      <br>
      <div class="row">
        <div class="col-12 mb-3">
          <span class="title-modal3">ขั้นตอนที่ 1.	ตรวจสอบข้อมูลพนักงาน</span>
        </div>
        <div class="col-12">
          <div class=" row">
            <div class=" col-4">
              <label for="department">รหัสพนักงาน</label>
              <input for="department" type="text" class="form-control input-staff" placeholder="รหัสพนักงาน" [(ngModel)]="addPermissionData[loopUserCount].modelEmpoyeeID" readonly>
            </div>
            <div class=" col-8">
              <label for="department">ชื่อ-นามสกุล</label>
              <input type="text" class="form-control input-staff" placeholder="กรอกชื่อ-นามสกุล" [(ngModel)]="addPermissionData[loopUserCount].modelempoyeeName" readonly>
            </div>
          </div>
        </div>
        <div class="col-12 mt-2 mb-2">
          <hr>
        </div>
        <div class="col-12 mb-3">
          <span class="title-modal3">ขั้นตอนที่ 2.	กำหนดสิทธิ์การใช้งานแก่พนักงาน</span>
        </div>

        <div class="col-12 mb-3">
          <label for="department">สิทธิ์ผู้ใช้งาน</label>
          <select class="browser-default custom-select"
                  [(ngModel)]="addPermissionData[loopUserCount].user_permission">
            <option value="" selected disabled>กรุณาเลือกสิทธิ์ผู้ใช้งาน</option>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
          </select>
        </div>

        <div class="col-12 mb-3">
          <label for="department">ระดับสิทธิ์ผู้ใช้งาน</label>
          <select class="browser-default custom-select"
                  [(ngModel)]="addPermissionData[loopUserCount].permission_level">
            <option value="" selected disabled>กรุณาเลือกสิทธิ์ผู้ใช้งาน</option>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
          </select>
        </div>

        <div class="col-12">
          <br><br>
          <div class="d-flex bd-highlight">
            <div class="w-100 bd-highlight">
              <button mat-flat-button class="btn-back-permission"
              [ngStyle]="{'display': loopUserCount === 0 ? 'none' : '' }"
              (click)="managePermissionBack()">
              ย้อนกลับ
              </button>
            </div>
            <div class="flex-shrink-1 bd-highlight">
              <button mat-flat-button class="btn-add-permission"
              [disabled]="addPermissionData[loopUserCount].user_permission === null || addPermissionData[loopUserCount].permission_level === null"
              (click)="managePermissionNext()">
              เพิ่มสิทธิ์คนถัดไป
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div> -->

<!-- --------------------------------------------------------------------------------------------------------- -->